Skip to main content
Conga Support

Salesforce: Updating the managed package

What

The Conga Collaborate managed package requires a patch install in order to upgrade from Version 1.22 to Version 1.24 (current version as of February 2019).

Why

Updating to the new version will keep you up to date and allow you to take advantage of new features in the integration. Some of the notable updates in this new package are:

  • Removed deprecated package components
  • Template Name is now available as a field on the Octiv Documents object
  • Managed package installation now includes a step to set your Conga Collaborate URL

The Conga Collaborate managed package can be upgraded and/or reinstalled without removing any existing Conga Collaborate data or settings.

How

Step 1: Determine current package version
  1. In your Salesforce instance, navigate to Setup.
  2. In the Quick Find bar, search for and open Installed Packages.
  3. Identify the Conga Collaborate Version Number.
Step 2: Determine upgrade steps based on current package version

Current version is:  Version 1.24

  • Latest version (as of February 2019) - no action required

Current version is:  Version 1.22.1

  • Can directly update to Version 1.24 

Current version is any earlier version (1.22 or lower):

  • First install the patch package (Version 1.22.1) and then update to Version 1.24

You will be unable to update your installed package directly from Version 1.22 to Version 1.24 without first installing the patch package (Version 1.22.1). Salesforce blocks this package upgrade because Version 1.24 removes unused legacy Apex code that one or more Visualforce pages or global Visualforce components need in order to function. 

Step 3: Perform upgrade
  1. Log into the Salesforce instance in which you wish to install the updated Conga Collaborate package.

  2. If needed, first install the patch package, version 1.22.1.

  3. Use the appropriate link below:

    • To install in a sandbox org, click here.

    • To install in a production org, click here

  4. Choose security settings for the package install (we recommend Install for All Users), then click Upgrade.

  5. Click Done.


Once version 1.22.1 is installed, install version 1.24:

  1. To install in a Sandbox org, click here.
     
  2. To install in a Production org, click here.

Once the package is installed, you can go back to the Installed Packages page and view the Unused Components. These items are no longer needed with the new package version 1.24. You may delete these components from your Salesforce instance. As a managed package provider, Conga Collaborate cannot go into your Salesforce instance and delete these or include code in the patch package to delete them.

  • Was this article helpful?